Gtk2::LinkButton(3)

NAME
Gtk2::LinkButton

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Button
                                +----Gtk2::LinkButton

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Glib::Object::_Unregistered::GtkActivatable

METHODS

  widget = Gtk2::LinkButton->new ($url, $label=undef)

•   $url (string)

•   $label (string)

  widget = Gtk2::LinkButton->new_with_label ($url, $label=undef)

•   $url (string)

•   $label (string)

  string = $link_button->get_uri

  Gtk2::LinkButton->set_uri_hook ($func, $data=undef)

•   $func (scalar)

•   $data (scalar)

Pass undef for func to unset the URI hook.

Note that the current implementation does not return the old hook function. This means that there is no way to restore an old hook once you overwrote it.

  $link_button->set_uri ($uri)

•   $uri (string)

  boolean = $link_button->get_visited
Since: gtk+ 2.14

  $link_button->set_visited ($visited)

•   $visited (boolean)

Since: gtk+ 2.14

PROPERTIES

'uri' (string : readable / writable)
    The URI bound to this button

'visited' (boolean : readable / writable)
    Whether this link has been visited.

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::Button

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.